@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700&display=swap');

:root{
   --pink:#a643e8;
}

* {
    margin:0; padding:0;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;    
    outline: none; border:none;
    transition: .2s linear; 
 }
 
 html{
   font-size: 50.5%;
   scroll-behavior: smooth;
   scroll-padding-top: 6rem;
   overflow-x: hidden;

 }

 header{ 
   padding: 0rem 5%;   
   justify-content: space-between; 
    
 }

  .logo img{  
   width: 70px;
   height: 70px;
   margin-top: -15px;
    
}  
 .navbar{
    display: flex;
    justify-content: center;
    margin-top:10px;

 }
 .navbar a {       
    color: #a643e8;
    text-decoration: none;
    padding: 10px 20px;
    font-size: 24px;   
    transition: background-color 0.3s, color 0.3s;
  }

.navbar a:hover{

  text-shadow: 2px 2px 5px rgba(78, 75, 75, 0.7);
}

 .header h1{
    color: rgb(126, 83, 139);
 }

 
 section{
   min-height: 100vh;
   padding:0 14%;
   padding-top: 0rem;
   padding-bottom: 15rem;

 }
 
  .btn{
   display: inline-block;
   margin-top: 1rem;
   padding:.7rem 3rem;
   border-radius: 5rem;
   background:var(--red);
   color:#fff;
   font-size: 2rem;
   box-shadow: 0 .5rem 1rem rgba(0,0,0,.1);
 }
 
 .btn:hover{
   background:#333;
 }
 
 .up-and-down::before,
 .up-and-down::after{
   content: '';
   position: absolute;
   left: 150%;
   transform: translateX(-50%);
   height: 10rem;
   width:100%;
   background-size: cover;
 }
 
 .up-and-down::before{
   background:url(../images/img-top.png) no-repeat;
   top:-6rem;
 }
 
 .up-and-down::after{
   background:url(../images/img-down.png) no-repeat;
   bottom:-6rem;
 }
 
 .heading{
   text-align: center;
   color:var(--red);
   padding:1rem;
   font-size: 3.5rem;
 }
     
 .home{
   display: flex;
   align-items: center;
 }
 
 .home .content h1{
   font-size: 3.7rem;
   color: #a643e8;
 }
 
 .home .content h3{
   font-size: 3rem;
   color:#a643e8;
 }
 
 .home .content p{
   font-size: 2rem;
   color:#1f1b1e;
   padding:1rem 0;
 }
 
 .home  img{
   width:30vw;
   position: relative;
   top:-9rem;
 }
 
 .features{
   display: flex;
   position: relative;
   padding:0rem;
 }
 
 .features .stick{
   padding:0 3rem;


 }
 
 .features .box-container .title{
   font-size: 3rem;
   color: #a643e8;
  
   align-items: center;
 }
 
 .features .box-container .box{
   display: flex;
   align-items: center;
   padding:0rem ;
 }
 
 .features .box-container .box img{
   height: 10rem;
   width:15rem;
   margin:2.5rem;
 }
 
 .features .box-container .box .info h3{
   font-size: 2.5rem;
   color:#201f1f;

 }
 
 .features .box-container .box .info p{
   font-size: 2rem;
   color:#0c0a0a;
   padding:0 0rem;
 }
 
 .features .box-container:first-child .box{
   flex-flow:row-reverse;
 }
 
 .features .box-container:first-child{
   text-align: right;
 }
 
.mensaje h3{
  text-align: center;
}

.title{
  text-align: center;
}

.mensaje p{
  margin: 0 30px;
}

.imgMensaje
{
  width: 100px!important;
  height: 100px!important;
}
 .about{
   display: flex;
   align-items: center;
   justify-content: center;
 }
 
 .about .image img{
   width:45vw;
 }
 
 .about .content h3{
   font-size: 4rem;
   color: #a643e8;
 }
 
 .about .content p{
   font-size: 1.7rem;
   color:#252525;
   padding:1rem 0;
 }
 
 .services{
   position: relative;
 }
 
 .services .box-container{
   display: flex;
   align-items: center;
   justify-content: center;
   flex-wrap: wrap;
 }
 
 .services .box-container .box{
   overflow: hidden;
   height: 23rem;
   flex:1 1 30rem;
   margin:1rem;
   border-radius: 1rem;
   box-shadow: 0 .5rem 1rem rgba(0,0,0,.1);
   position: relative;
   cursor: pointer;
 }
 
 .services .box-container .box img{
   height: 100%;
   width: 100%;
   object-fit: cover;
 }
 
 .services .box-container .box .info{
   height: 100%;
   width: 100%;
   background:rgba(0,0,0,.7);
   text-align: center;
   position: absolute;
   top:-100%; left: 0;
   padding:2rem; 
   display: flex;
   align-items: center;
   justify-content: center;
 }
 
 .services .box-container .box .info h3{
   font-size: 3rem;
   color:#fff;
   transform: translateY(5rem);
   opacity: 0;
 }
 
 .services .box-container .box:hover .info{
   top:0%;
 }
 
 .services .box-container .box:hover .info h3{
   transform: translateY(0rem);
   opacity: 1;
   transition-delay: .2s;
 }
 
 
 .contact{
   display: flex;
   align-items: center;
 }
 
 .contact .image img{
   width:25vw;
 }
 
 .contact .row{
   display: flex;
   align-items: flex-end;
 }
 
 .contact .row .contact-info{
   padding:2rem;
 }
 
 .contact .row .contact-form{
   padding:2rem;
 }
 
 .contact .row .btn{
   cursor: pointer;
 }
 
 .contact .row .contact-info .box{
   padding: 1rem 0;
 }
 
 .contact .row .contact-info .box .title{
   padding:1rem 0;
   font-size: 3rem;
   color:#333;
 }
 
 .contact .row .contact-info .box p{
   font-size: 1.7rem;
   padding:.5rem 0;
   color:#666;
 }
 
 .contact .row .contact-info .box p i{
   padding-right: .5rem;
   color:var(--red);
 }
 
 .contact .row .contact-info .box a{
   height: 4.5rem;
   width:4.5rem;
   line-height: 4.5rem;
   border-radius: 50%;
   border:.1rem solid #333;
   color:#333;
   font-size: 1.7rem;
   margin:.2rem;
   text-align: center;
 }
 
 .contact .row .contact-info .box a:hover{
   background:var(--red);
   border-color: var(--red);
   color:#fff;
 }
 
 .contact .row .contact-info .box form input[type="email"]{
   padding:1rem 1.5rem;
   font-size: 1.5rem;
   color:#666;
   text-transform: none;
   border-radius: 5rem;
   border:.1rem solid rgba(0,0,0,.3);
   box-shadow: 0 .5rem 1rem rgba(0,0,0,.1);
 }
 
 .contact .row .contact-form h3{
   font-size: 3rem;
   color:#a643e8;
   padding-bottom: 1rem;
 }
 
 .contact .row .contact-form .box{
   width:100%;
   border-radius: 5rem;
   padding:1rem 1.5rem;
   font-size: 1.7rem;
   color:#666;
   margin:1rem 0;
   border:.1rem solid rgba(0,0,0,.3);
   box-shadow: 0 .5rem 1rem rgba(0,0,0,.1);
   text-transform: none;
 }
 
 .contact .row .contact-form .message{
   border-radius: 2rem;
   height: 15rem;
   resize: none;
 }
  
p {
  text-align: justify !important; 
  font-size: 20px !important; 
  margin-bottom: 1.5rem; 
  margin-right: 20px;
}


/* Footer */
footer {
  background: #dda6a6;
  padding: 10px 0;
  overflow: hidden;
  height: 120px;
  border: none;
}

.contenedor-footer {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin: auto;
  padding-bottom: 5px;
  border-bottom: 1px solid #e6d5d7;
}

.content-foo {
  text-align: center;
  margin-right: 30px;
}

.content-foo:last-child {
  margin-right: 0;
}

.content-foo p {
  color: #1d0e0e;
}

.content-foo img{
  width: 42px;
  height: 42px;
  margin-top: 10px;
}

.mensaje-reservado {
  text-align: center;
  color: #1d0e0e;
  width: 100%;
  margin-top: 15px;
  font-weight: bold;
  font-size: 18px;
}


/* Media query para pantallas de hasta 1200px */
@media only screen and (max-width: 1200px) {
  header {
    padding: 0rem 3%;
  }

  .logo img {
    width: 120px;
  }

  .navbar a {
    padding: 10px 15px;
  }

  section {
    padding: 0 10%;
  }
}


/* Media query para pantallas de hasta 1024px */
@media only screen and (max-width: 1024px) {
  header {
    padding: 0rem 3%; 
  }
  
  .logo img {
    width: 130px; 
  }
  
  .navbar a {
    padding: 10px 17px; 
  }
  
  section {
    padding: 0 12%; 
  }
}

/* Media query para pantallas de hasta 768px */
@media only screen and (max-width: 768px) {
  header {
    padding: 0rem 2%; 
  }
  
  .logo img {
    width: 120px; 
  }
  
  .navbar {
    flex-direction: column; 
    align-items: center; 
  }
  
  .navbar a {
    margin-top: 10px; 
    padding: 10px 15px; 
  }
  
  section {
    padding: 0 8%; 
  }
}

/* Media query para pantallas de hasta 480px */
@media only screen and (max-width: 480px) {
  header {
    padding: 0rem 2%;
  }

  .logo {
    text-align: center; 
    margin-bottom: 10px; 
  }

  .logo img {
    width: 100px;
    margin-top: 5px;
  }

  .navbar {
    flex-direction: column;
    align-items: center;
  }

  .navbar a {
    margin-top: 10px;
  }

  section {
    padding: 0 5%;
    display: flex; 
    flex-direction: column; 
    align-items: center; 
  }

  .services .box-container .box {
    height: auto; 
    margin: 1rem 0; 
  }

  .content p{
    margin-bottom: 10px;
  }
  .home .img{
    margin-top: 80px;
  }

  footer {
    height: auto; 
    padding: 20px 0; 
    text-align: center; 
  }

  .contenedor-footer {
    flex-direction: column; 
  }

  .content-foo {
    margin-bottom: 10px;
  }
}
